Skip to main content
POST
/
generated-content
Submit generated content
curl --request POST \
  --url https://api.interchange.lotiai.com/v1/generated-content \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-idempotency-key: <x-idempotency-key>' \
  --data '
{
  "promptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "video",
  "contentUrl": "<string>",
  "callbackUrl": "<string>"
}
'
{
  "complianceResult": "compliant",
  "complianceFailureReason": "<string>",
  "pricingResult": {
    "totalPriceMicros": 4503599627370495,
    "priceMicrosByIdentity": {}
  }
}

Authorizations

x-api-key
string
header
required

API key issued for Interchange; reach out to Loti to obtain an API key.

Headers

x-idempotency-key
string
required

Idempotency key to ensure replay-safe processing.

Minimum string length: 1

Query Parameters

async
enum<string>

If true, the request is accepted immediately and processed in the background. Returns a jobId to track progress.

Available options:
0,
1,
true,
false

Body

application/json
promptId
string<uuid>
required

ID of a previously authorized prompt from which the generated content was created.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
type
enum<string>
required

Type of media asset.

Available options:
video,
audio,
image,
archive
contentUrl
string<uri>
required

Publicly accessible URL from which the generated content can be downloaded.

callbackUrl
string<uri>
required

URL to call when the generated content is processed.

Response

Generated content was processed. Response contains compliance outcome and pricing information.

complianceResult
enum<string>
required

Indicator of whether a prompt or generated content complies with detected identities' rules.

Available options:
compliant,
not_compliant
complianceFailureReason
string | null
required
pricingResult
object
required

Aggregated pricing result mapped by identity.